# Uses of Class
com.ngrok.definitions.ReservedAddr

Packages that use ReservedAddr
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of ReservedAddr in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type ReservedAddr
  Modifier and Type
  Method
  Description
  `List<ReservedAddr>`
  ReservedAddrList.`getReservedAddrs()`
  the list of all reserved addresses on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type ReservedAddr
  Modifier
  Constructor
  Description
  ``
  `ReservedAddrList(List<ReservedAddr> reservedAddrs, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `ReservedAddrList`.

- ## Uses of ReservedAddr in com.ngrok.services

  Methods in com.ngrok.services that return ReservedAddr
  Modifier and Type
  Method
  Description
  `ReservedAddr`
  ReservedAddrs.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `ReservedAddr`
  ReservedAddrs.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `ReservedAddr`
  ReservedAddrs.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type ReservedAddr
  Modifier and Type
  Method
  Description
  `CompletionStage<ReservedAddr>`
  ReservedAddrs.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<ReservedAddr>`
  ReservedAddrs.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<ReservedAddr>`
  ReservedAddrs.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.